Bug 20082 - Vietnamese language display name is incorrect
Summary: Vietnamese language display name is incorrect
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: 17.11
Hardware: All All
: P5 - low minor (vote)
Assignee: Katrin Fischer
QA Contact: Josef Moravec
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-01-24 02:12 UTC by dcowens76
Modified: 2018-06-04 20:15 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20082: Correct description of Vietnamese language and add German translation (2.61 KB, patch)
2018-02-01 06:51 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 20082: Correct description of Vietnamese language and add German translation (2.65 KB, patch)
2018-02-23 21:06 UTC, Roch D'Amour
Details | Diff | Splinter Review
Bug 20082: Correct description of Vietnamese language and add German translation (2.71 KB, patch)
2018-02-25 09:00 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description dcowens76 2018-01-24 02:12:11 UTC
Currently the vi-VN language display name is in Chinese characters (㗂越). This is incorrect. 

To reproduce this, install the vi-VN language and open the OPAC. The option for Vietnamese will display as those Chinese characters, rather than "Tiếng Việt", which is the way Vietnamese people refer to their language. 

The display name is created by the installer in installer/data/mysql/mandatory/subtag_registry.sql:

VALUES ( 'vi', 'language', 'vi', '㗂越');

That should be changed to: 

VALUES ( 'vi', 'language', 'vi', 'Tiếng Việt');
Comment 1 Katrin Fischer 2018-02-01 06:51:19 UTC
Created attachment 71103 [details] [review]
Bug 20082: Correct description of Vietnamese language and add German translation

Fixes the language description of Vietnamese according to the
bug report and adds the German translation for the language
name.

To test:
- Run the database update
- Verify that the new descriptions Tiếng Việt shows
  in advanced search language pull down
- Install German translations
- Verify that the German translation 'Vietnamesisch'
  shows in the pull down when German is selected.
Comment 2 Roch D'Amour 2018-02-23 21:06:59 UTC
Created attachment 72160 [details] [review]
Bug 20082: Correct description of Vietnamese language and add German translation

Fixes the language description of Vietnamese according to the
bug report and adds the German translation for the language
name.

To test:
- Run the database update
- Verify that the new descriptions Tiếng Việt shows
  in advanced search language pull down
- Install German translations
- Verify that the German translation 'Vietnamesisch'
  shows in the pull down when German is selected.

Signed-off-by: Roch D'Amour <roch.damour@inlibro.com>
Comment 3 Josef Moravec 2018-02-25 09:00:43 UTC
Created attachment 72184 [details] [review]
Bug 20082: Correct description of Vietnamese language and add German translation

Fixes the language description of Vietnamese according to the
bug report and adds the German translation for the language
name.

To test:
- Run the database update
- Verify that the new descriptions Tiếng Việt shows
  in advanced search language pull down
- Install German translations
- Verify that the German translation 'Vietnamesisch'
  shows in the pull down when German is selected.

Signed-off-by: Roch D'Amour <roch.damour@inlibro.com>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 4 Jonathan Druart 2018-02-26 16:29:10 UTC
Pushed to master for 18.05, thanks to everybody involved!